package gov.va.vinci.dart.usr;

import java.io.Serializable;

/** User preferences interface for custom authentication and identification
 *
 */
public interface UserPreferences extends Serializable {
	int getUserId() ;
	void setUserId(int userId);
	
	String getUserLoginId() ;
	void setUserLoginId(String loginId);
	
	String getUserFullName(); 
	void setUserFullName(String fullName); 
	
	int getFacilityId();
	void setFacilityId(int facilityId);
	
	String getUserEmailAddress();
	void setUserEmailAddress(String emailAddress);
}
